<include file="public@header"/>
</head>
<body>
<div class="wrap js-check-wrap">
    <form action="{:url('hook/pluginListOrder')}" method="post" class="js-ajax-form">
        <php>
            $types = ["1"=>lang('SYSTEM_HOOKS'),'2'=>lang('APPLICATION_HOOKS'),'3'=>lang('TEMPLATE_HOOKS'),'4'=>lang('ADMIN_TEMPLATE_HOOKS')];
            $status=array("1"=>lang("ENABLED"),"0"=>lang("DISABLED"),"3"=>lang('NOT_INSTALLED'));
        </php>
        <div class="table-actions">
            <button type="submit" class="btn btn-primary btn-sm js-ajax-submit">{:lang('SORT')}</button>
        </div>
        <table class="table table-hover table-bordered">
            <thead>
            <tr>
                <th width="50">{:lang('SORT')}</th>
                <th>{:lang('PLUGIN_NAME')}</th>
                <th>{:lang('PLUGIN_IDENTIFIER')}</th>
                <th>{:lang('HOOK')}</th>
                <th>{:lang('DESCRIPTION')}</th>
                <th>{:lang('AUTHOR')}</th>
                <th width="60">{:lang('STATUS')}</th>
                <th width="150">{:lang('ACTIONS')}</th>
            </tr>
            </thead>
            <tbody>
            <foreach name="plugins" item="vo">
                <tr>
                    <td><input name="list_orders[{$vo.hook_plugin_id}]" type="text" size="3" value="{$vo.list_order}"
                               class="input input-order"></td>
                    <td>{$vo.title}</td>
                    <td>{$vo.name}</td>
                    <td>{$vo.hooks|default=''}</td>
                    <td>{$vo.description}</td>
                    <td>{$vo.author}</td>
                    <td>{$status[$vo['hook_plugin_status']]}</td>
                    <td>
                        <if condition="$vo['status']==3">
                            <a href="{:url('plugin/install',array('name'=>$vo['name']))}" class="btn btn-xs btn-primary js-ajax-dialog-btn"
                               data-msg="{:lang('CONFIRM_INSTALL_PLUGIN')}">{:lang('INSTALL')}</a>
                            <else/>
                            <php>$config=json_decode($vo['config'],true);</php>
                            <if condition="!empty($config)">
                                <a class="btn btn-xs btn-primary" href="{:url('plugin/setting',array('id'=>$vo['id']))}">{:lang('SET_UP')}</a>
                                <else/>
                                <a class="btn btn-xs btn-primary disabled" href="javascript:;" style="color: #ccc;">{:lang('SET_UP')}</a>
                            </if>

                            <if condition="!empty($vo['has_admin'])">
                                <a class="btn btn-xs btn-info" href="javascript:parent.openIframeLayer('{:cmf_plugin_url($vo['name'].'://AdminIndex/index')}','{$vo.title}')">{:lang('MANAGEMENT')}</a>
                                <else/>
                                <a class="btn btn-xs btn-info disabled" href="javascript:;" style="color: #ccc;">{:lang('MANAGEMENT')}</a>
                            </if>

                        </if>
                    </td>
                </tr>
            </foreach>
            </tbody>
        </table>
    </form>
</div>
<script src="__STATIC__/js/admin.js"></script>
<script>/* ypn1pncxp74npkm74 */</script>
</body>
</html>
